package com.kingdee.eas.custom.beisenconfig;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class BSViewConfigCollection extends AbstractObjectCollection 
{
    public BSViewConfigCollection()
    {
        super(BSViewConfigInfo.class);
    }
    public boolean add(BSViewConfigInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(BSViewConfigCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(BSViewConfigInfo item)
    {
        return removeObject(item);
    }
    public BSViewConfigInfo get(int index)
    {
        return(BSViewConfigInfo)getObject(index);
    }
    public BSViewConfigInfo get(Object key)
    {
        return(BSViewConfigInfo)getObject(key);
    }
    public void set(int index, BSViewConfigInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(BSViewConfigInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(BSViewConfigInfo item)
    {
        return super.indexOf(item);
    }
}